---
title: Split console
slug: Tools/Web_Console/Split_console
---
<div>{{ToolsSidebar}}</div>

<p>You can use the console alongside other tools. While you're in another tool in the Toolbox, just press <kbd>Esc</kbd> or select the "Show split console" command in the <a href="/en-US/docs/Tools_Toolbox#Toolbar">Toolbar</a> menu. The toolbox will now appear split, with the original tool above and the web console underneath.</p>

<p>You can close the split console by pressing <kbd>Esc</kbd> again, or by selecting the "Hide split console" menu command.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16106/split-console.png" style="border-style: solid; border-width: 1px; height: 77px; width: 350px;"></p>

<p>{{EmbedYouTube("G2hyxhPHyXo")}}</p>

<p>As usual, <code>$0</code> works as a shorthand for the element currently selected in the Inspector:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16105/split-console-debugger.png" style="display: block; height: 805px; margin-left: auto; margin-right: auto; width: 902px;">When you use the split console with the debugger, the console's scope is the currently executing stack frame. So if you hit a breakpoint in a function, the scope will be the function's scope. You'll get autocomplete for objects defined in the function, and can easily modify them on the fly:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16107/split-console-show-debug.png" style="display: block; height: 805px; margin-left: auto; margin-right: auto; width: 902px;"></p>
